Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223607 - yum -C doesn't work offline
Summary: yum -C doesn't work offline
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-01-20 19:07 UTC by martin
Modified: 2014-01-21 22:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 22:12:49 UTC


Attachments (Terms of Use)

Description martin 2007-01-20 19:07:34 UTC
Description of problem:

option -C is described as "run entirely from cache, don't update cache"
but e.g.
yum -C info xterm
first connects to some network repositories. This behaviour is quite anoying on
slow connection and it would also be nice if I could query the package cache
when I am offline.

The same holds for the "search" command.

Version-Release number of selected component (if applicable):
yum-3.0.3-1.fc6

How reproducible:
allways

Steps to Reproduce:
1. yum -C info <anypackage>
2. watch network usage

or
1. disconnect from network
2. yum -C info <anypackage>
  
Actual results:

yum initiates some network communicaiton. When offline, error message appears:

Loading "installonlyn" plugin
Setting up repositories
Could not retrieve mirrorlist
http://mirrors.fedoraproject.org/mirrorlist?repo=core-6&arch=i386 error was
[Errno 4] IOError: <urlopen error (111, 'Connection refused')>
Error: Cannot find a valid baseurl for repo: core

Expected results:

yom should work without network communication when invoked with the option -C

Additional info:

Comment 1 Bastien Nocera 2007-04-23 14:19:31 UTC
See also bug 189828.

I see the same problem with yum-3.1.6-2.fc7

Comment 2 Jeremy Katz 2007-04-25 22:12:49 UTC
Should be fixed for yum 3.1.7


Note You need to log in before you can comment on or make changes to this bug.